Bug 156898

Summary: Drop [UsePointersEvenForNonNullableObjectArguments] from File API interfaces
Product: WebKit Reporter: youenn fablet <youennf>
Component: WebCore Misc.Assignee: youenn fablet <youennf>
Status: RESOLVED FIXED    
Severity: Normal CC: buildbot, cdumez, commit-queue, darin, rniwa
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 156844    
Attachments:
Description Flags
Patch
none
Archive of layout-test-results from ews102 for mac-yosemite
none
Archive of layout-test-results from ews117 for mac-yosemite
none
Rebasing tests
none
Patch for landing none

Description youenn fablet 2016-04-22 01:15:32 PDT
Drop [UsePointersEvenForNonNullableObjectArguments] from File API interfaces
Comment 1 youenn fablet 2016-04-22 02:16:02 PDT
Created attachment 277026 [details]
Patch
Comment 2 Build Bot 2016-04-22 03:00:07 PDT
Comment on attachment 277026 [details]
Patch

Attachment 277026 [details] did not pass mac-ews (mac):
Output: http://webkit-queues.webkit.org/results/1201098

New failing tests:
fast/files/workers/worker-read-file-sync.html
fast/files/workers/worker-read-blob-sync.html
Comment 3 Build Bot 2016-04-22 03:00:11 PDT
Created attachment 277036 [details]
Archive of layout-test-results from ews102 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-ews.
Bot: ews102  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 4 Build Bot 2016-04-22 03:15:53 PDT
Comment on attachment 277026 [details]
Patch

Attachment 277026 [details] did not pass mac-debug-ews (mac):
Output: http://webkit-queues.webkit.org/results/1201114

New failing tests:
fast/files/workers/worker-read-file-sync.html
fast/files/workers/worker-read-blob-sync.html
Comment 5 Build Bot 2016-04-22 03:15:57 PDT
Created attachment 277038 [details]
Archive of layout-test-results from ews117 for mac-yosemite

The attached test failures were seen while running run-webkit-tests on the mac-debug-ews.
Bot: ews117  Port: mac-yosemite  Platform: Mac OS X 10.10.5
Comment 6 youenn fablet 2016-04-22 05:36:45 PDT
Created attachment 277049 [details]
Rebasing tests
Comment 7 Chris Dumez 2016-04-22 09:40:49 PDT
Comment on attachment 277049 [details]
Rebasing tests

View in context: https://bugs.webkit.org/attachment.cgi?id=277049&action=review

r=me

> Source/WebCore/fileapi/FileReader.cpp:148
> +    m_loader->start(scriptExecutionContext(), *m_blob);

May be nicer to just use "blob" here.

> Source/WebCore/fileapi/FileReader.idl:44
> +    // FIXME: blob parameter should not be nullable in all four below methods.

I would have said "in all four methods below." but I am as French as you so who knows :)
Comment 8 youenn fablet 2016-04-24 04:51:51 PDT
(In reply to comment #7)
> Comment on attachment 277049 [details]
> Rebasing tests
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=277049&action=review
> 
> r=me
> 
> > Source/WebCore/fileapi/FileReader.cpp:148
> > +    m_loader->start(scriptExecutionContext(), *m_blob);
> 
> May be nicer to just use "blob" here.
> 
> > Source/WebCore/fileapi/FileReader.idl:44
> > +    // FIXME: blob parameter should not be nullable in all four below methods.
> 
> I would have said "in all four methods below." but I am as French as you so
> who knows :)

OK, I 'll update the patch with blob and something like:
// FIXME: In all four methods found below, blob parameter should not be nullable.
Comment 9 youenn fablet 2016-04-25 02:21:23 PDT
Created attachment 277237 [details]
Patch for landing
Comment 10 WebKit Commit Bot 2016-04-25 03:23:17 PDT
Comment on attachment 277237 [details]
Patch for landing

Clearing flags on attachment: 277237

Committed r199985: <http://trac.webkit.org/changeset/199985>
Comment 11 WebKit Commit Bot 2016-04-25 03:23:24 PDT
All reviewed patches have been landed.  Closing bug.